### Method

# GUPnPAV DIDLLiteObject get_properties

#### Declaration [src]

    GList*
    gupnp_didl_lite_object_get_properties (
      GUPnPDIDLLiteObject* object,
      const char* name
    )

#### Description [src]

Use this function to retreive property nodes by name.

#### Parameters

`name`

  Type: `const char*`

  Name of the properties.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `xmlNode*`

The list of property nodes by the name `property_name` belonging to `object`, or `NULL`.

# g_list_free the returned list after usage but do not modify the contents.

The caller of the method takes ownership of the returned data container, but not the data inside it.